

#include "LevelStatus.h"

#include <map>

#include "core/singleton/ScopedSingletonIncludes.h"
#include "core/commandline/CommandLineIncludes.h"
#include "core/config/ConfigValueIncludes.h"
#include "core/CoreIncludes.h"
#include "core/ClassTreeMask.h"
#include "core/Loader.h"
#include "core/Resource.h"
#include "core/XMLFile.h"
#include "Level.h"
#include "PlayerManager.h"

namespace orxonox
{
    RegisterClass(LevelStatus);

    LevelStatus::LevelStatus()
    {
        RegisterObject(LevelStatus);
        this->won = false;
        this->nextLevels.insert(this->nextLevels.begin(),1);
        this->activated=0;
    }

    LevelStatus::~LevelStatus()
    {}


}
